#include<iostream>
using namespace std;
int main () {
 long long n , bredno , brdve;
 string purvo;
 string vtoro;
 cin >> bredno >> purvo >> brdve >> vtoro >> n;
   if ( purvo == 'A' && bredno >= n){
    cout << bredno;
   }
   if ( bredno > n){
    cout << bredno - n;
   }
   if ( vtoro == 'A' &&  bredno >= n )
    cout << 0 ;
   }
    if (vtoro == 'A' && bredno < n ){
        cout << n - bredno;
    }
return 0;
}
